html,
body {
    overflow: scroll;
    overflow-x: hidden;
    color: $text;
    transition: 0.3s ease;
}
::-webkit-scrollbar {
    width: 0px;
    background: transparent;
}
::-webkit-scrollbar-thumb {
    background: transparent;
}

// Setting row gap default small
.row {
    padding: 0 8px;
    & > [class^="col-"],
    & > [class*=" col-"] {
        padding-right: 8px;
        padding-left: 8px;
    }
}
// Setting row gap default small

table {
    tr,
    th,
    td {
        color: $text;
    }
}

.card {
    border-radius: 10px;
    .card-img-top {
        border-top-left-radius: 10px;
        border-top-right-radius: 10px;
    }
    .image {
        height: 180px;
        width: 100%;
        position: relative;
        img {
            height: 180px;
            width: 100%;
            object-fit: cover;
        }
        .badge-primary-outline {
            position: absolute;
            bottom: 10px;
            right: 10px;
        }
    }
    .detail {
        margin: 5px 0 0 0;
        .item {
            div {
                border: 1px solid $border;
                padding: 5px;
                border-radius: 3px;
                text-align: center;
                width: 100%;
                small {
                    display: block;
                    margin-bottom: -5px;
                }
                span {
                    font-size: 14px;
                }
            }
        }
    }
}

.badge-primary-outline {
    border: 1px solid $primary;
    color: $primary;
    padding: 10px;
}

.img-md-size {
    width: 175px;
    height: 175px;
    object-fit: cover;
    @media (max-width: $tablet) {
        width: 100%;
    }
}

.img-radius {
    border-radius: 10px;
}

// Font Settings
@font-face {
    font-family: "Saira-Regular";
    src: url("../fonts/Saira-Regular.eot");
    src: url("../fonts/Saira-Regular.woff") format("woff"), url("../fonts/Saira-Regular.otf") format("opentype");
}
@font-face {
    font-family: "Saira-Bold";
    src: url("../fonts/Saira-Bold.eot");
    src: url("../fonts/Saira-Bold.woff") format("woff"), url("../fonts/Saira-Bold.otf") format("opentype");
}

// Title heading
h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: "Saira-Regular", sans-serif;
}

// Sidebar Left Container
.sidebarLeftContainer {
    // transform: translateX(-300px);
    @media (max-width: $tablet) {
        background: orange;
        display: none;
    }
    &.open {
        display: block;
        position: fixed;
        top: 0;
        left: 0;
        height: 100vh;
        width: 280px;
        margin-left: -5px;
        z-index: 1002;
        @extend .slide-in-left;
        @extend .shadow-lg;
        animation-duration: 0.2s;
        animation-delay: 0s;
    }
}

.toggleSidebarContainer {
    display: none;
    @media (max-width: $tablet) {
        display: block;
    }
}

.toggleSidebar {
    display: table;
    border: none;
    outline: none !important;
    width: 60px;
    height: 60px;
    z-index: 1000;
    background: white;
    .iconify {
        width: 30px;
        height: 30px;
        color: $text;
    }
}

// Sidebar Left
#sidebarLeft {
    background: $secondary;
    height: 100vh;
    overflow: auto;
    color: white;
    padding-left: 5px;
    position: relative;
    @extend .shadow-sm;
    .logo {
        display: block;
        padding: 15px 20px;
        margin: 30px 0 20px 0;
        img {
            width: 180px;
            max-width: 100%;
        }
    }

    .navigationBottom {
        margin-left: 0;
        margin-top: 7em;
        padding-left: 0;
        list-style: none;
        li {
            font-family: $fontPrimary;
            &.active {
                a {
                    background: $primary;
                    color: $text;
                }
            }
            a {
                display: flex;
                flex-direction: row;
                color: white;
                padding: 15px 20px;
                border-bottom: 1px solid #1d1d1d;
                transition: 0.1s ease;
                font-size: 18px;
                background: #242424;
                &:hover {
                    text-decoration: none;
                    background: $primary;
                    color: $text;
                }
                .iconify,
                img,
                svg {
                    width: 25px;
                    height: 25px;
                    margin-right: 5px;
                }
            }
        }
    }
}
// End Sidebar Left

// Navigation Left
.navigationLeft {
    margin-left: 0;
    padding-left: 0;
    list-style: none;
    li {
        font-family: $fontPrimary;
        &.active {
            a {
                background: $primary;
                color: $text;
            }
        }
        a {
            display: flex;
            flex-direction: row;
            color: white;
            padding: 15px 20px;
            border-bottom: 1px solid #1d1d1d;
            transition: 0.1s ease;
            font-size: 18px;
            &:hover {
                text-decoration: none;
                background: $primary;
                color: $text;
            }
            .iconify,
            img,
            svg {
                width: 25px;
                height: 25px;
                margin-right: 5px;
            }
        }
    }
}
// End Navigation Left

// Main Content
#mainContent {
    overflow-y: auto;
    height: 100vh;
    padding: 80px 20px 20px 20px;
    position: relative;
}
// End Main Content

// Navigation Top
.navigationTop {
    display: flex;
    justify-content: space-between;
    background: white;
    height: 60px;
    @extend .shadow-sm;
    position: absolute;
    top: 0;
    left: 0;
    right: 10px;
    width: 100%;
    padding-right: 10px;
    z-index: 1001 !important;
    @media (max-width: $tablet) {
        position: fixed;
    }
    .topLeft {
        .dropdownTopNav {
            // z-index: 800 !important;
            .dropdown-toggle {
                background: #f6f6f6;
                border: none;
                color: $text;
                padding: 17px 25px;
                border-radius: 0;
                height: 60px;
                display: table;
                &:focus,
                &:hover {
                    background: $border;
                    outline: none;
                    text-decoration: none;
                }
                @media (max-width: $mobile) {
                    span {
                        display: none;
                    }
                }
            }

            .dropdownTopNavMenu {
                border: none;
                // border-radius: 10px;
                outline: 900px solid rgba(0, 0, 0, 0.247);
                @extend .shadow-lg;
                @extend .swing-in-top-fwd;
                animation-duration: 0.5s;
                top: 60px !important;
                width: 600px;
                max-height: 100vh;
                padding: 20px;
                overflow: auto;
                @media (max-width: $mobile) {
                    width: 100vw;
                    height: 100vh;
                    overflow: auto;
                }
                .listItem {
                    list-style: none;
                    margin-left: 0;
                    padding-left: 0;
                    color: $text;
                    li {
                        display: flex;
                        border-radius: 15px;
                        height: 185px;
                        margin-bottom: 20px;
                        @extend .shadow-sm;
                        @media (max-width: $mobile) {
                            flex-direction: column;
                            height: auto;
                        }
                        img {
                            display: table;
                            width: 200px;
                            height: 185px;
                            border-top-left-radius: 15px;
                            border-bottom-left-radius: 15px;
                            object-fit: cover;
                            @media (max-width: $mobile) {
                                width: 100%;
                                height: 100px;
                                border-top-left-radius: 15px;
                                border-top-right-radius: 15px;
                                border-bottom-left-radius: 0px;
                            }
                        }
                        .content {
                            padding: 15px;
                            width: 100%;
                            .title {
                                font-size: 20px;
                            }
                            .subtitle {
                                font-size: 14px;
                                opacity: 0.5;
                            }
                            .detail {
                                margin: 5px 0 0 0;
                                .item {
                                    div {
                                        border: 1px solid $border;
                                        padding: 5px;
                                        border-radius: 3px;
                                        text-align: center;
                                        width: 100%;
                                        small {
                                            display: block;
                                            margin-bottom: -5px;
                                        }
                                        span {
                                            font-size: 14px;
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
    .topRight {
        display: flex;
        .profileSmall {
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100%;
            padding: 0 20px;
            img {
                width: 40px;
                height: 40px;
                object-fit: cover;
                border-radius: 100%;
            }
            &:hover {
                img {
                    @extend .shadow;
                }
            }
        }
    }
}
// End Navigation Top

// Title page
.titlePage {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-bottom: 10px;
    h1 {
        font-size: 25px;
        font-weight: bold;
    }
    @media (max-width: $mobile) {
        flex-direction: column;
        margin-bottom: 25px;
    }
}
// End Title page

// Breadcrumb
.breadcrumb {
    background: white;
    margin: -5px 0 5px 0;
    padding: 0;
    li {
        a {
            display: table;
            color: $text;
            padding: 5px 15px 5px 0px;
            position: relative;
            font-size: 14px;
            &::after {
                content: " /";
                display: table;
                // background: orange;
                position: absolute;
                top: 5px;
                right: 5px;
                color: $text;
            }
            &:hover {
                text-decoration: none;
                color: $primary;
            }
        }
        &:last-child {
            a {
                color: #ccc;
                &::after {
                    display: none;
                }
                &:hover {
                    text-decoration: none;
                    color: $primary;
                }
            }
        }
    }
}
// End Breadcrumb

// Buy Page
.buyPage {
    background: url(../img/bgBuyPage.png) no-repeat center center;
    background-size: cover;
    width: 100vw;
    height: 100vh;
    position: fixed;
    overflow: auto;
    display: flex;
    justify-content: left;
    align-items: center;
    .content {
        // background: orange;
        z-index: 100;
        @media (max-width: $mobile) {
            padding: 0 20px;
        }
        h1 {
            font-size: 8vw;
            color: white;
            text-transform: uppercase;
            text-shadow: 5px 5px 20px rgba(0, 0, 0, 0.336);
            span {
                color: $primary;
            }
            @media (max-width: $mobile) {
                font-size: 15vw;
            }
        }
        .action {
            display: flex;
            color: white;
            small {
                display: table;
                margin-top: 0;
                span {
                    color: $primary;
                }
                @media (max-width: $mobileSmall) {
                    margin-top: 15px;
                }
            }
            h4 {
                color: $primary;
            }
            @media (max-width: $mobileSmall) {
                flex-direction: column;
            }
        }
    }
    &::after {
        display: table;
        content: " ";
        background: rgb(1, 83, 22);
        position: fixed;
        top: 0;
        left: 0;
        width: 40vw;
        height: 100vh;
        z-index: 10;
        @media (max-width: $mobile) {
            width: 60vw;
        }
    }
    .logo {
        display: table;
        position: absolute;
        top: 25px;
        right: 25px;
        z-index: 1000;
    }
    @supports ((-webkit-backdrop-filter: none) or (backdrop-filter: none)) {
        &::after {
            -webkit-backdrop-filter: blur(10px);
            backdrop-filter: blur(10px);
            background-color: rgba(5, 82, 34, 0.5);
        }
    }
}
// Buy Page

.btn-rounded-primary-outline {
    border: 1px solid $primary;
    color: $primary;
    border-radius: 100px;
    padding-left: 35px;
    padding-right: 35px;
    &:hover {
        background: #1414148e;
        color: $primary;
    }
}

// List Forest
.listForest {
    border: none;
    margin: 0;
    padding: 0;
    list-style: none;
    li {
        display: flex;
        border-radius: 15px;
        height: 250px;
        margin-bottom: 20px;
        border: 1px solid rgba(0, 0, 0, 0.125);
        @extend .shadow-sm;
        @media (max-width: $tablet) {
            height: 250px;
        }
        @media (max-width: $mobile) {
            flex-direction: column;
            height: auto;
        }
        img {
            display: table;
            width: 300px;
            height: 250px;
            border-top-left-radius: 15px;
            border-bottom-left-radius: 15px;
            object-fit: cover;
            @media (max-width: $mobile) {
                width: 100%;
                height: 100px;
                border-top-left-radius: 15px;
                border-top-right-radius: 15px;
                border-bottom-left-radius: 0px;
            }
        }
        .content {
            padding: 15px;
            width: 100%;
            .title {
                font-size: 30px;
                @media (max-width: $tablet) {
                    font-size: 25px;
                }
            }
            .subtitle {
                font-size: 14px;
                opacity: 0.5;
            }
            .detail {
                margin: 15px 0 15px 0;
                @media (max-width: $tablet) {
                    height: auto;
                }
                .item {
                    div {
                        border: 1px solid $border;
                        padding: 15px;
                        border-radius: 3px;
                        text-align: center;
                        width: 100%;
                        small {
                            display: block;
                            margin-bottom: -5px;
                        }
                        span {
                            font-size: 16px;
                        }
                    }
                }
            }
        }
    }
}
// List Forest

// Drone Monitoring
#droneMonitoring {
    .mainVideo {
    }
    .listVideo {
        margin: 15px 0 15px 0;
        padding: 0;
        list-style: none;
        display: flex;
        flex-direction: row;
        overflow: auto;
        li {
            display: table;
            width: 245px;
            height: 160px;
            margin-right: 10px;
            transition: 0.3s ease;
            a {
                display: table;
                position: relative;
                img {
                    width: 100%;
                    height: 160px;
                    object-fit: cover;
                    border-radius: 10px;
                    border: 3px solid white;
                    @extend .shadow-sm;
                    transition: 0.3s ease;
                }
                h6 {
                    display: table;
                    text-transform: uppercase;
                    color: white;
                    position: absolute;
                    top: 50%;
                    left: 50%;
                    transform: translate(-50%, -50%);
                    z-index: 100;
                    text-shadow: 2px 2px 5px #000000d3;
                }
                &.active,
                &:hover {
                    img {
                        border-color: $primary;
                        @extend .shadow-lg;
                    }
                }
            }
        }
    }
}
// End Drone Monitoring

// Biodiversity
#biodiversity {
    margin: 0;
    padding: 0;
    list-style: none;
    a {
        color: $text;
        .card {
            transition: 0.3s ease;
            .image {
                height: 250px;
                img {
                    height: 250px;
                }
            }
            .card-body {
                ul {
                    list-style: none;
                    margin: 0;
                    padding: 0;
                }
            }
        }
        &:hover {
            text-decoration: none;
            .card {
                @extend .shadow;
            }
        }
    }
}
// End Biodiversity

// Chart
.chartSmall {
    .content {
        padding: 20px;
        display: table;
        margin-bottom: 0px;
        color: white;
        h2 {
            margin-top: -5px;
            font-weight: bold;
            font-family: $fontPrimaryBold;
        }
    }
    .apexcharts-canvas {
        margin-left: 0px;
    }
}
.chartOrange {
    background: rgb(205, 171, 83);
    background: -moz-linear-gradient(45deg, rgba(205, 171, 83, 1) 0%, rgba(242, 139, 65, 1) 100%);
    background: -webkit-linear-gradient(45deg, rgba(205, 171, 83, 1) 0%, rgba(242, 139, 65, 1) 100%);
    background: linear-gradient(45deg, rgba(205, 171, 83, 1) 0%, rgba(242, 139, 65, 1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#cdab53', endColorstr='#f28b41',GradientType=1 );
}
.chartRed {
    background: rgb(205, 83, 83);
    background: -moz-linear-gradient(45deg, rgba(205, 83, 83, 1) 0%, rgba(189, 73, 73, 1) 100%);
    background: -webkit-linear-gradient(45deg, rgba(205, 83, 83, 1) 0%, rgba(189, 73, 73, 1) 100%);
    background: linear-gradient(45deg, rgba(205, 83, 83, 1) 0%, rgba(189, 73, 73, 1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#cd5353', endColorstr='#bd4949',GradientType=1 );
}
.chartRedGradient {
    background: rgb(162, 85, 201);
    background: -moz-linear-gradient(45deg, rgba(162, 85, 201, 1) 0%, rgba(241, 139, 67, 1) 100%);
    background: -webkit-linear-gradient(45deg, rgba(162, 85, 201, 1) 0%, rgba(241, 139, 67, 1) 100%);
    background: linear-gradient(45deg, rgba(162, 85, 201, 1) 0%, rgba(241, 139, 67, 1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#a255c9', endColorstr='#f18b43',GradientType=1 );
}
// Chart

// Profile
#profile {
    .photoProfile {
        display: flex;
        @media (max-width: $mobileSmall) {
            flex-direction: column;
            .images {
                width: 100%;
                margin-bottom: 15px;
                img {
                    width: 100%;
                }
            }
        }
        .images {
            position: relative;
            overflow: hidden;
            a {
                display: table;
                background: rgba(0, 0, 0, 0.3);
                color: white;
                position: absolute;
                bottom: 0px;
                left: 0;
                width: 100%;
                text-align: center;
                font-size: 12px;
                padding: 7px 5px;
                border-bottom-left-radius: 10px;
                border-bottom-right-radius: 10px;
                transition: 0.3s ease;
                &:hover {
                    background: $secondary;
                    text-decoration: none;
                }
            }
        }
    }
}
// Profile

// Forest Monitoring
.forestMonitoringImage {
    padding: 20px;
    .imgConver {
        position: relative;
        height: 180px;
        margin-bottom: 20px;
        img {
            width: 100%;
            height: 180px;
            object-fit: cover;
        }
        h4 {
            display: table;
            color: white;
            text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            z-index: 20;
            text-align: center;
        }
    }
}
// Forest Monitoring

// Detail Profit
.detailProfit {
    .iconify {
        margin-right: 15px;
        width: 30px;
        height: 30px;
        color: $primary;
    }
    .badge-primary {
        background: $primary;
        font-size: 16px;
    }
    .minus {
        .iconify {
            color: red;
        }
        .badge-primary {
            background: red;
            font-size: 16px;
        }
    }

    .list-group-item {
        @media (max-width: $mobile) {
            flex-direction: column;
        }
    }
}
// Detail Profit

// Modal Detail Forest
.modalForestDetail {
    background: rgba(0, 0, 0, 0.26);
    .modal-dialog {
        border-color: red;
        img {
            border-top-left-radius: 10px;
            border-bottom-left-radius: 10px;
        }
        .sidebarDetail {
            background: $secondary;
            color: white;
            .title {
                padding: 30px 20px;
                img {
                    width: 40px;
                    height: 40px;
                    object-fit: cover;
                    border-radius: 50%;
                }
            }
            .titleForestDetail {
                padding: 30px 20px;
                small {
                    color: #818181;
                }
            }
        }
        // .detailContainer {
        //     display: flex;
        //     flex-direction: column;
        //     .carouselDetail {
        //         @media (max-width: 1000px) {
        //             background: orange !important;
        //             width: 100% !important;
        //         }
        //     }
        // }
    }
}
// Modal Detail Forest

// Checkout
#checkout{
    .itemForest{
        .forestInfo{
            padding: 20px 0;
            img{
                width: 150px;
                height: auto;
                object-fit: cover;
                border-radius: 50%;
                margin: 0 auto;
                display: table;
            }
        }
        h3{
            display: flex;
            span{
                display: table;
                color: #ccc;
                transform: scale(0.7);
            }
        }
    }
    .product_qty{
        input{
            height: 45px;
            border-radius: 6px;
        }
        .input-group-btn{
            // background: blue;
            .iconify{
                width: 30px;
                height: 30px;
                color: $primary;
                margin: 0 !important;
            }
        }
    }
    .detailCheckout{
        .listPrice{
            background: $primary;
            color: white;
            border-top-left-radius: 10px;
            border-bottom-left-radius: 10px;
            padding: 20px;
            height: 100%;
            table{
                tr{
                    td{
                        padding: 5px 0;
                    }
                }
                tfoot{
                    tr{
                        border-top: 1px solid $text;
                    }
                }
            }
            @media(max-width:770px){
                border-radius: 10px;
                margin-left: 7px;
                margin-right: 7px;
            }
        }
        .agreementBox{
            padding: 20px;
        }
    }
}
// Checkout

// Latest Event Monitoring
.latesEventMonitoring{
    padding: 20px;
    min-height: 444px;
    table{
        color: $text;
        thead{
            // background: #eee;
            th{
                padding: 5px 0;
            }
        }
        tbody{
            tr{
                td{

                }
            }
        }
    }
}
// Latest Event Monitoring